      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      *****************************************************************
       IDENTIFICATION          DIVISION.
      *--- 2012/11/05 START ------------------------------------------
       PROGRAM-ID.             R1ORCA64.
      *--- 2012/11/05 END   ------------------------------------------
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 桼ץ
      *  ݡͥ̾  : ǻȯԡAR100 & AR200
      *              : 
      *      ȼ        
      *  12/11/05    MOVE CO.LTD.  
      *****************************************************************
      *      ȼ    
      *  12/11/05    MOVE      
      *  14/04/07    MOVE      ͽְѥɲ
      *  14/08/29    MOVE      ̰ѥɲ
      *  14/09/19    MOVE      ɾΰѥɲ
      *                        ǯѥɲ
      *  14/09/22    MOVE      ǯѥɲ
      *  14/09/25    MOVE      ɾΰѥ[3,4]ξΰʸ
      *  14/11/07    MOVE      Դ̾ΰʸץ४ץ󤫤
      *                        Ǥ褦˽
      *  15/02/12    MOVE      ǥ쥯ȥб
      *****************************************************************
      *
       ENVIRONMENT                DIVISION.
       CONFIGURATION                  SECTION.
       INPUT-OUTPUT                   SECTION.
       FILE-CONTROL.
      *
      *    ѥǡ
      *--- 2015/02/12 START -------------------------------------------
      *     SELECT  PRT-FILE        ASSIGN  HC01PARA
           SELECT  PRT-FILE       ASSIGN   ASGNPARA
      *--- 2015/02/12 END   -------------------------------------------
                                   FILE    STATUS  IS  STS-PARA.
      *
       DATA                       DIVISION.
       FILE                           SECTION.
      *
      *    ѥǡ
       FD  PRT-FILE.
       01  PRT-REC                 PIC X(10000).
      *
       WORKING-STORAGE                SECTION.
      *
      *    ΰ
           COPY    "CPSHELLTBL.INC".
      *    ѥǡ ̾ΰ 
           COPY    "CPCOMMONPRT.INC".
      *
      *--- 2015/02/12 START -------------------------------------------
      *    ǥ쥯ȥΰ 
           COPY    "CPASGNPARA.INC".
      *--- 2015/02/12 END   -------------------------------------------
      *
           COPY    "R1ORCA64.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-RECEERR         PIC X(02).
           03  STS-PARA            PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-OK              PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-YYK             PIC 9(01).
           03  FLG-YYK2            PIC 9(01).
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-DATE               PIC 9(08).
           03  SYS-TIME               PIC 9(08).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX                    PIC 9(04).
           03  IDX2                   PIC 9(04).
           03  IDX3                   PIC 9(04).
      *--- 2014/09/19 START -------------------------------------------
           03  IDX4                   PIC 9(04).
      *--- 2014/09/19 END   -------------------------------------------
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           03  WRK-PARA-LDNAME        PIC X(10).
           03  WRK-PARA-SYORIKBN      PIC 9(01).
           03  WRK-PARA-SYSYMD        PIC X(08).
           03  WRK-PARA-SRYYMD        PIC X(08).
           03  WRK-PARA-PTID          PIC 9(10).
           03  WRK-PARA-PTNUM         PIC X(20).
           03  WRK-PARA-SRYKA         PIC 9(02).
           03  WRK-PARA-DRNAME        PIC X(16).
           03  WRK-PARA-HKNCOMBINUM   PIC 9(04).
           03  WRK-PARA-SHORINAME     PIC X(20).
           03  WRK-PARA-PRINTNAME     PIC X(08).
           03  WRK-PARA-HOSPNUM       PIC 9(02).
           03  FILE-NAME              PIC X(512).
      *
      *    ΰ
      *
       01  WRK-AREA.
           03  WRK-MAE-INPUT          PIC X(200).
           03  WRK-OUT-INPUT          PIC X(200).
           03  WRK-SYMD.
               05  WRK-SYY            PIC 9(04).
               05  WRK-SMM            PIC 9(02).
               05  WRK-SDD            PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-HENYMD.
               05  WRK-HGO         PIC X(01).
               05  WRK-HYY         PIC X(02).
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HMM         PIC X(02).
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HDD         PIC X(02).
      *
           03  WRK-HENYMD2.
               05  WRK-HGO2        PIC X(01).
               05  WRK-HYY2        PIC 99.
               05  FILLER          PIC X(01)   VALUE  "/".
               05  WRK-HMM2        PIC 99.
               05  FILLER          PIC X(01)   VALUE  "/".
               05  WRK-HDD2        PIC 99.
      *
      *--- 204/09/19 START --------------------------------------------
           03  WRK-HENYMD3.
               05  WRK-HGO3        PIC X(04).
               05  WRK-HYY3        PIC 99.
               05  FILLER          PIC X(01)   VALUE  "/".
               05  WRK-HMM3        PIC 99.
               05  FILLER          PIC X(01)   VALUE  "/".
               05  WRK-HDD3        PIC 99.
      *--- 204/09/19 END   --------------------------------------------
      *
           03  WRK-HENTIME.
               05  WRK-THH         PIC 99.
               05  FILLER          PIC X(01)   VALUE  ":".
               05  WRK-TMM         PIC 99.
      *
           03  WRK-YYK-DATA        PIC X(32).
           03  WRK-YOBIMEI         PIC X(04).
      *
           03  WRK-SPA-SYSYYYY.
               05  WRK-SPA-SYSYY   PIC  9(04).
      *
           03  WRK-NAME                PIC X(30).
           03  WRK-KEISYO              PIC X(06).
           03  WRK-NAME-H              PIC X(60).
           03  WRK-KEISYO-H            PIC X(06).
           03  WRK-PAGE                PIC 9(03).
           03  WRK-MSG                 PIC X(90).
      *--- 2014/11/07 START ------------------------------------------
           03  WRK-MOJISU              PIC 9(02).
           03  WRK-BYTE                PIC 9(02).
      *--- 2014/11/07 END   ------------------------------------------
      *
      *    Сΰ
       01  WRK-BARCODE-AREA.
           03  FLG-BARCODE          PIC 9(01).
           03  IDXB1                PIC 9(02).
           03  IDXB2                PIC 9(02).
           03  WRK-KETA             PIC 9(02).
           03  WRK-PTNUM            PIC X(20).
           03  WRK-SUM-MOJYU        PIC 9(09).
           03  WRK-MOD-MOJYU        PIC 9(09).
           03  WRK-CHECK-D          PIC X(23).
      *
      *    ʸɽ
       01  BERCODE-AREA.
           03  BERCODE-TBL.
             05  BER-CHAR.
               07  PIC X(01)  VALUE  "0".
               07  PIC X(01)  VALUE  "1".
               07  PIC X(01)  VALUE  "2".
               07  PIC X(01)  VALUE  "3".
               07  PIC X(01)  VALUE  "4".
               07  PIC X(01)  VALUE  "5".
               07  PIC X(01)  VALUE  "6".
               07  PIC X(01)  VALUE  "7".
               07  PIC X(01)  VALUE  "8".
               07  PIC X(01)  VALUE  "9".
               07  PIC X(01)  VALUE  "A".
               07  PIC X(01)  VALUE  "B".
               07  PIC X(01)  VALUE  "C".
               07  PIC X(01)  VALUE  "D".
               07  PIC X(01)  VALUE  "E".
               07  PIC X(01)  VALUE  "F".
               07  PIC X(01)  VALUE  "G".
               07  PIC X(01)  VALUE  "H".
               07  PIC X(01)  VALUE  "I".
               07  PIC X(01)  VALUE  "J".
               07  PIC X(01)  VALUE  "K".
               07  PIC X(01)  VALUE  "L".
               07  PIC X(01)  VALUE  "M".
               07  PIC X(01)  VALUE  "N".
               07  PIC X(01)  VALUE  "O".
               07  PIC X(01)  VALUE  "P".
               07  PIC X(01)  VALUE  "Q".
               07  PIC X(01)  VALUE  "R".
               07  PIC X(01)  VALUE  "S".
               07  PIC X(01)  VALUE  "T".
               07  PIC X(01)  VALUE  "U".
               07  PIC X(01)  VALUE  "V".
               07  PIC X(01)  VALUE  "W".
               07  PIC X(01)  VALUE  "X".
               07  PIC X(01)  VALUE  "Y".
               07  PIC X(01)  VALUE  "Z".
               07  PIC X(01)  VALUE  "-".
               07  PIC X(01)  VALUE  ".".
               07  PIC X(01)  VALUE  " ".
               07  PIC X(01)  VALUE  "$".
               07  PIC X(01)  VALUE  "/".
               07  PIC X(01)  VALUE  "+".
               07  PIC X(01)  VALUE  "%".
      *
      *    ץ४ץѥ᥿
       01  PARA-AREA.
           03  WRK-PARA-NAME      PIC X(10).
           03  WRK-PARA-NAIYO     PIC X(50).
      *
           03  PARA-REWRITE       PIC X(01).
           03  PARA-ORIENTATION   PIC X(01).
           03  PARA-BARCODE       PIC X(01).
           03  PARA-CHECKDIGIT    PIC X(01).
           03  PARA-YOYAKU        PIC X(01).
      *--- 2014/04/07 START -------------------------------------------
           03  PARA-TIMEZONE      PIC X(01).
      *--- 2014/04/07 END   -------------------------------------------
           03  PARA-KEISYO        PIC X(01).
           03  PARA-FURIGANA      PIC X(01).
           03  PARA-BIRTHDAY      PIC X(01).
           03  PARA-SEX           PIC X(01).
           03  PARA-IP-ADDRESS    PIC X(15).
           03  PARA-PORT          PIC X(05).
           03  PARA-FILENAME      PIC X(50).
      *--- 2014/11/07 START ------------------------------------------
           03  PARA-MOJISU        PIC X(02).
      *--- 2014/11/07 END   ------------------------------------------
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
           COPY    "CPSK1001.INC".
      *
      *    ֹ湽
           COPY    "CPSK1009.INC".
      *
      *    ԥޥ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ͽ
       01  YYK-REC.
           COPY    "CPYYK.INC".
      *
      *    ѥ᥿
           COPY    "CPORCSMKPRT.INC".
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    ե֥롼ΰ
      *
           COPY  "CPORCSDAY.INC".
      *
           COPY  "CPORCSLNK.INC".
      *
      *    եǥ쥯ȥֻꥵ
           COPY  "CPMKPASS.INC".
      *
      *    Ѵΰ
           COPY  "CPORCSNUM.INC".
      *
      *    ֹѴ
           COPY  "CPORCSPTID.INC".
      *
      *    ѥåѥ᥿
           COPY  "CPORCSKANACHK.INC".
      *
      *    饤Ģɼ̾ץ̾ѥ
           COPY  "CPORCSPRTNM.INC".
      *
      *    ץ४ץԽѥ᥿
           COPY    "CPORCSPRGOPTION.INC".
      *
      *--- 2015/02/12 START -------------------------------------------
      *    ե̾
           COPY    "CPORCSGETTEMP.INC".
      *--- 2015/02/12 END   -------------------------------------------
      *
      *    ģ¸
           COPY  "MCPAREA".
      *
           COPY  "MCPDATA.INC".
      *
           COPY  "COMMON-SPA".
      *
      *****************************************************************
      *    Ϣΰ
      *****************************************************************
       LINKAGE                     SECTION.
      *
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      *
      ******************************************************************
       PROCEDURE                   DIVISION
                                   USING     COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-DBOPEN-SEC
      *    
           PERFORM 100-INIT-SEC
           PERFORM 200-MAIN-SEC
      *    
           PERFORM 500-PRINT-SEC
      *    ȯԽ
           PERFORM 600-MAIN-SEC
      *
           PERFORM 900-DBDISCONNECT-SEC
      *
           .
       000-PROC-EXT.
      *
           EXIT    PROGRAM
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  IDX-AREA
                                       WRK-AREA
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    WRK-PARA-LDNAME
                                               WRK-PARA-SYORIKBN
                                               WRK-PARA-SYSYMD
                                               WRK-PARA-SRYYMD
                                               WRK-PARA-PTID
                                               WRK-PARA-PTNUM
                                               WRK-PARA-SRYKA
                                               WRK-PARA-DRNAME
                                               WRK-PARA-HKNCOMBINUM
                                               WRK-PARA-SHORINAME
                                               WRK-PARA-PRINTNAME
                                               WRK-PARA-HOSPNUM
      *
           END-UNSTRING
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *
      *    ֹ湽
           MOVE    SPACE               TO   SYS-1009-REC
           INITIALIZE                  SYS-1009-REC
           MOVE    "1009"              TO   SYS-1009-KANRICD
           MOVE    "*"                 TO   SYS-1009-KBNCD
           MOVE    WRK-PARA-SYSYMD          TO   SYS-1009-EDYUKYMD
           MOVE    WRK-PARA-SYSYMD          TO   SYS-1009-STYUKYMD
           MOVE    SPA-HOSPNUM         TO   SYS-1009-HOSPNUM
           MOVE    SYS-1009-REC        TO   MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF    FLG-SYSKANRI   =   ZERO
             MOVE    MCPDATA-REC       TO   SYS-1009-REC
           ELSE
             INITIALIZE                SYS-1009-REC
           END-IF
      *
      *    ץ४ץ
           PERFORM 100-OPTION-SELECT-SEC
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץ४ץ߽
      *****************************************************************
       100-OPTION-SELECT-SEC             SECTION.
      *
           INITIALIZE                  PARA-AREA
      *
      *    饤ȶʬ
           MOVE    "REWRITE"                 TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-REWRITE
      *
      *    ѻ
           MOVE    "ORIENTATE"               TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-ORIENTATION
      *
      *    Сɤΰ
           MOVE    "BARCODE"                 TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-BARCODE
      *
      *    åǥåȤ̵ͭ
           MOVE    "CHECKDIGIT"              TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-CHECKDIGIT
      *
      *    ͽΰ
           MOVE    "YOYAKU"                  TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-YOYAKU
      *
      *--- 2014/04/07 START -------------------------------------------
      *    ͽ
           MOVE    "TIMEZONE"                TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-TIMEZONE
      *--- 2014/04/07 END   -------------------------------------------
      *
      *    ɾ̵ͭ
           MOVE    "KEISYO"                  TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-KEISYO
      *
      *    եꥬʽ
           MOVE    "FURIGANA"                TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-FURIGANA
      *
      *    ǯ
           MOVE    "BIRTHDAY"                TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-BIRTHDAY
      *
      *    ̽
           MOVE    "SEX"                     TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:1)       TO  PARA-SEX
      *
      *    ɣХɥ쥹
           MOVE    "IP-ADDRESS"              TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:15)      TO  PARA-IP-ADDRESS
      *
      *    ݡֹ
           MOVE    "PORT"                    TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:5)       TO  PARA-PORT
      *
      *    £ͣХե̾
           MOVE    "FILENAME"                TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:50)      TO  PARA-FILENAME
      *
      *--- 2014/11/07 START ------------------------------------------
      *    Դ̾ΰʸ
           MOVE    "MOJISU"                  TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA-NAIYO(1:2)       TO  PARA-MOJISU
      *--- 2014/11/07 END   ------------------------------------------
      *
           .
       100-OPTION-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    ץ४ץѥ᥿
      *****************************************************************
       1001-OPTION-CALL-SEC             SECTION.
      *
           INITIALIZE                  ORCSPRGOPTIONAREA
           MOVE    "R1ORCA64"          TO  ORCSPRGOPTION-PRGID
           MOVE    WRK-PARA-NAME       TO  ORCSPRGOPTION-IN-DATA
           CALL    "ORCSPRGOPTION"     USING   SPA-AREA
                                               ORCSPRGOPTIONAREA
           MOVE    SPACE               TO  WRK-PARA-NAIYO
           IF      ORCSPRGOPTION-OT-TYPE   =   1
               MOVE    ORCSPRGOPTION-OT-PARA(1:50)  
                                       TO  WRK-PARA-NAIYO(1:50)
           END-IF
           .
       1001-OPTION-CALL-EXT.
           EXIT.
      *
      *****************************************************************
      *    ǻǡ
      *****************************************************************
       200-MAIN-SEC        SECTION.
      *
           INITIALIZE  G015
      *
      *    ԥޥɤ߹
           MOVE    SPA-HOSPNUM       TO  PTINF-HOSPNUM
           MOVE    WRK-PARA-PTID     TO  PTINF-PTID
           PERFORM 900-PTINF-READ-SEC
      *
      *    ֹ桧ID
           MOVE    WRK-PARA-PTNUM    TO  G015-PTNUM
      *
      *    ǯ
           MOVE    PTINF-BIRTHDAY    TO  WRK-SYMD
           PERFORM 31012-SEIWA-HEN-SEC
           EVALUATE  PARA-BIRTHDAY
             WHEN  "0"
               STRING  WRK-HENYMDG           DELIMITED  BY  SIZE
                       ""                  DELIMITED  BY  SPACE
                                             INTO  G015-BIRTHDAY
               END-STRING
             WHEN  "1"
               MOVE    WRK-HENYMD            TO  G015-BIRTHDAY
             WHEN  "2"
               MOVE    WRK-HGO               TO  WRK-HGO2
               MOVE    WRK-HYY               TO  WRK-HYY2
               MOVE    WRK-HMM               TO  WRK-HMM2
               MOVE    WRK-HDD               TO  WRK-HDD2
               MOVE    WRK-HENYMD2           TO  G015-BIRTHDAY
      *--- 204/09/19 START --------------------------------------------
             WHEN  "3"
               MOVE    WRK-HENYMDG(1:4)      TO  WRK-HGO3
               MOVE    WRK-HYY               TO  WRK-HYY3
               MOVE    WRK-HMM               TO  WRK-HMM3
               MOVE    WRK-HDD               TO  WRK-HDD3
               MOVE    WRK-HENYMD3           TO  G015-BIRTHDAY
      *--- 204/09/19 END   --------------------------------------------
      *--- 204/09/22 START --------------------------------------------
             WHEN  "4"
               MOVE    WRK-HENYMDG           TO  G015-BIRTHDAY
      *--- 204/09/22 END   --------------------------------------------
           END-EVALUATE
      *
      *    ̡ PTINF-SEX = 1ˡ2 
           EVALUATE  PARA-SEX
      *       or ʥǥեȡ
             WHEN  "0"
               EVALUATE  PTINF-SEX
                 WHEN  "1"
                   MOVE    ""              TO  G015-SEX
                 WHEN  "2"
                   MOVE    ""              TO  G015-SEX
               END-EVALUATE
      *       or 
             WHEN  "1"
               EVALUATE  PTINF-SEX
                 WHEN  "1"
                   MOVE    ""              TO  G015-SEX
                 WHEN  "2"
                   MOVE    ""              TO  G015-SEX
               END-EVALUATE
      *       or 
             WHEN  "2"
               EVALUATE  PTINF-SEX
                 WHEN  "1"
                   MOVE    ""              TO  G015-SEX
                 WHEN  "2"
                   MOVE    ""              TO  G015-SEX
               END-EVALUATE
      *    2014/08/29 START ------------------------------------------
      *       or 
             WHEN  "3"
               EVALUATE  PTINF-SEX
                 WHEN  "1"
                   MOVE    ""            TO  G015-SEX
                 WHEN  "2"
                   MOVE    ""            TO  G015-SEX
               END-EVALUATE
      *    2014/08/29 END   ------------------------------------------
           END-EVALUATE
      *
      *    եꥬʡʥʻ̾
           IF  PARA-FURIGANA  =  "0"
             MOVE    PTINF-KANANAME(1:30)      TO  WRK-MAE-INPUT
      *     PERFORM 2009-HENKAN-SEC
             PERFORM 2010-HENKAN-SEC
             MOVE    WRK-OUT-INPUT(1:30)       TO  G015-KANANAME
           ELSE
             MOVE    PTINF-KANANAME(1:30)      TO  G015-KANANAME
           END-IF
      *
      *--- 2014/09/19 START -------------------------------------------
      **    ̾
      **    7ʸ
      *     MOVE    PTINF-NAME(1:14)          TO  G015-NAME
      *--- 2014/09/19 END   -------------------------------------------
      *--- 2014/09/19 START -------------------------------------------
      *    ̾
      *--- 2014/09/19 END   -------------------------------------------
      *
      *--- 2014/11/07 START ------------------------------------------
           MOVE    PARA-MOJISU               TO  WRK-MOJISU
           IF  WRK-MOJISU    >    18
               MOVE    18                    TO  WRK-MOJISU
           END-IF
      *--- 2014/11/07 END   ------------------------------------------
      *    ɾ
           EVALUATE  PARA-KEISYO
             WHEN  "0"
      *--- 2014/11/07 START ------------------------------------------
      **--- 2014/09/19 START -------------------------------------------
      **        ̾ʸ
      *         MOVE    PTINF-NAME(1:14)      TO  G015-NAME
      **--- 2014/09/19 END   -------------------------------------------
               MOVE    PTINF-NAME(1:WRK-MOJISU * 2 - 4)   TO  G015-NAME
      *--- 2014/11/07 END   ------------------------------------------
               MOVE    ""                TO  G015-KEISYO
             WHEN  "1"
      *--- 2014/11/07 START ------------------------------------------
      **--- 2014/09/19 START -------------------------------------------
      **        ̾ʸ
      *         MOVE    PTINF-NAME(1:14)      TO  G015-NAME
      **--- 2014/09/19 END   -------------------------------------------
               MOVE    PTINF-NAME(1:WRK-MOJISU * 2 - 2)   TO  G015-NAME
      *--- 2014/11/07 END   ------------------------------------------
               MOVE    ""                  TO  G015-KEISYO
             WHEN  "2"
      *--- 2014/11/07 START ------------------------------------------
      **--- 2014/09/19 START -------------------------------------------
      **        ̾ʸ
      *         MOVE    PTINF-NAME(1:18)      TO  G015-NAME
      **--- 2014/09/19 END   -------------------------------------------
               MOVE    PTINF-NAME(1:WRK-MOJISU * 2)       TO  G015-NAME
      *--- 2014/11/07 END   ------------------------------------------
               MOVE    SPACE                 TO  G015-KEISYO
      *--- 2014/09/19 START -------------------------------------------
             WHEN  "3"
      *        ̾ʸܷɾ
               INITIALIZE  G015-NAME
               PERFORM VARYING  IDX4  FROM  1  BY  2
      *--- 2014/11/07 START ------------------------------------------
      **    2014/09/25 START ------------------------------------------
      **                 UNTIL    IDX4  >  12
      *                 UNTIL    IDX4  >  14
      **    2014/09/25 END   ------------------------------------------
                       UNTIL    IDX4  >  (WRK-MOJISU * 2 - 6)
      *--- 2014/11/07 END   ------------------------------------------
                       OR       PTINF-NAME(IDX4:)  =  SPACE
                 MOVE    PTINF-NAME(IDX4:2)    TO  G015-NAME(IDX4:2)
               END-PERFORM
               MOVE    ""              TO  G015-NAME(IDX4:6)
             WHEN  "4"
               INITIALIZE  G015-NAME
               PERFORM VARYING  IDX4  FROM  1  BY  2
      *--- 2014/11/07 START ------------------------------------------
      **    2014/09/25 START ------------------------------------------
      **                 UNTIL    IDX4  >  12
      *                 UNTIL    IDX4  >  14
      **    2014/09/25 END   ------------------------------------------
                       UNTIL    IDX4  >  (WRK-MOJISU * 2 - 4)
      *--- 2014/11/07 END   ------------------------------------------
                       OR       PTINF-NAME(IDX4:)  =  SPACE
                 MOVE    PTINF-NAME(IDX4:2)    TO  G015-NAME(IDX4:2)
               END-PERFORM
               MOVE    ""                TO  G015-NAME(IDX4:4)
      *--- 2014/09/19 END   -------------------------------------------
           END-EVALUATE
      *    
      *    Сɺ
      *
           IF  PARA-BARCODE  =  "0"
             MOVE  SPACE            TO G015-BAR-PTNUM(1)(1:1)
                                       G015-BAR-PTNUM(2)(1:1)
                                       G015-BAR-PTNUM(3)(1:1)
                                       G015-BAR-PTNUM(1)(2:WRK-KETA)
                                       G015-BAR-PTNUM(2)(2:WRK-KETA)
                                       G015-BAR-PTNUM(3)(2:WRK-KETA)
                                       G015-CD-PTNUM
                                       G015-BAR-PTNUM(1)(WRK-KETA + 2:1)
                                       G015-BAR-PTNUM(2)(WRK-KETA + 2:1)
                                       G015-BAR-PTNUM(3)(WRK-KETA + 2:1)
           ELSE
             INITIALIZE          WRK-BARCODE-AREA
             PERFORM 2020-BARCODE-SEC
           END-IF
      *
      *    ͽ
           IF  PARA-YOYAKU  =  "1"
             PERFORM 200-YYK-SEC
             IF  PARA-ORIENTATION  =  "0"
               MOVE    WRK-YYK-DATA(1:6)          TO  G015-YOYAKU-H
               MOVE    WRK-YYK-DATA(7:20)         TO  G015-YOYAKU
               MOVE    WRK-YYK-DATA(27:6)         TO  G015-YOYAKU-T
             ELSE
               MOVE    WRK-YYK-DATA              TO  G015-YOYAKU
               MOVE    SPACE                     TO  G015-YOYAKU-H
               MOVE    SPACE                     TO  G015-YOYAKU-T
             END-IF
           ELSE
             MOVE    SPACE                     TO  G015-YOYAKU
             MOVE    SPACE                     TO  G015-YOYAKU-H
             MOVE    SPACE                     TO  G015-YOYAKU-T
           END-IF
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ȾѴ
      *****************************************************************
       2010-HENKAN-SEC                 SECTION.
      *
           MOVE  1  TO  IDX3
           PERFORM VARYING  IDX2  FROM  1  BY  2
                   UNTIL    IDX2  >=  47
             EVALUATE   WRK-MAE-INPUT(IDX2:2)
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "Î" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "Ď" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "ʎ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "ˎ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "̎" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "͎" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "Ύ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "ʎ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "ˎ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "̎" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "͎" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "Ύ" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               WHEN  ""
                 MOVE  "1"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "2"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "3"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "4"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "5"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "6"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "7"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "8"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "9"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
               WHEN  ""
                 MOVE  "0"  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   1    TO  IDX3
      *
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  ""  TO  WRK-OUT-INPUT(IDX3:2)
                 ADD   2    TO  IDX3
               WHEN  ""
                 MOVE  "" TO  WRK-OUT-INPUT(IDX3:4)
                 ADD   4    TO  IDX3
               
             END-EVALUATE
           END-PERFORM
      
           .
       2010-HENKAN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Сɺ
      *****************************************************************
       2020-BARCODE-SEC         SECTION.
      *
      *    ֹ湽꤫
           EVALUATE  SYS-1009-PTNUMKSIKBN
             WHEN  "1"
               MOVE  SYS-1009-JIYKSIKETA        TO  WRK-KETA
             WHEN  "2"
               EVALUATE  SYS-1009-HJNKSIKBN
                 WHEN  "1"
                   IF  SYS-1009-HJNKSINENKBN    = "1"
                     MOVE  SYS-1009-JIYKSIKETA    TO  WRK-KETA
                     COMPUTE  WRK-KETA  = 3
                                        + SYS-1009-HJNKSIRENNUMKETA
                                        + 1
                   ELSE
                     COMPUTE  WRK-KETA  = 4
                                        + SYS-1009-HJNKSIRENNUMKETA
                                        + 1
                   END-IF
                 WHEN  "2"
                   IF  SYS-1009-HJNKSINENKBN    = "1"
                     COMPUTE  WRK-KETA  = 3
                                        + SYS-1009-HJNKSIRENNUMKETA
                   ELSE
                     COMPUTE  WRK-KETA  = 4
                                        + SYS-1009-HJNKSIRENNUMKETA
                   END-IF
                 WHEN  "3"
                   COMPUTE  WRK-KETA    = SYS-1009-HJNKSIRENNUMKETA
                                        + 1
                 WHEN  "4"
                   MOVE  SYS-1009-HJNKSIRENNUMKETA  TO  WRK-KETA
               END-EVALUATE
             WHEN  "3"
               COMPUTE  WRK-KETA  =  SYS-1009-KKCKSIMAEKETA
                                  +  SYS-1009-KKCKSIRENNUMKETA
                                  +  SYS-1009-KKCKSIATOKETA
           END-EVALUATE
      *
           IF  PARA-CHECKDIGIT  =  "1"
      *    åǥåͭξ
             MOVE  WRK-PARA-PTNUM        TO  WRK-PTNUM
      *      åǥåȻн
             PERFORM  VARYING  IDXB1  FROM  1  BY  1
                      UNTIL    IDXB1  >     WRK-KETA
                      MOVE  ZERO  TO  FLG-BARCODE
               PERFORM  VARYING  IDXB2  FROM  1  BY  1
                        UNTIL    IDXB2  >     43
                        OR       FLG-BARCODE   =   1
                        IF  WRK-PTNUM(IDXB1:1)  =  BER-CHAR(IDXB2:1)
                          COMPUTE  WRK-SUM-MOJYU  =  WRK-SUM-MOJYU
                                                  +  IDXB2  -  1
                          MOVE  1   TO  FLG-BARCODE
                        END-IF
               END-PERFORM
             END-PERFORM
      *
             MOVE  "*"              TO  WRK-CHECK-D(1:1)
             MOVE  WRK-PTNUM        TO  WRK-CHECK-D(2:WRK-KETA)
      *
             DIVIDE  WRK-SUM-MOJYU  BY  43  GIVING     WRK-SUM-MOJYU
                                            REMAINDER  WRK-MOD-MOJYU
             MOVE  BER-CHAR(WRK-MOD-MOJYU + 1:1)
                                    TO  WRK-CHECK-D(WRK-KETA + 2:1)
             MOVE  "*"              TO  WRK-CHECK-D(WRK-KETA + 3:1)
      *
             MOVE  WRK-CHECK-D      TO  G015-BAR-PTNUM(1)
                                        G015-BAR-PTNUM(2)
                                        G015-BAR-PTNUM(3)
                                        G015-CD-PTNUM
           ELSE
      *    åǥå̵ξ
             MOVE  "*"              TO G015-BAR-PTNUM(1)(1:1)
                                       G015-BAR-PTNUM(2)(1:1)
                                       G015-BAR-PTNUM(3)(1:1)
             MOVE  WRK-PARA-PTNUM   TO G015-BAR-PTNUM(1)(2:WRK-KETA)
                                       G015-BAR-PTNUM(2)(2:WRK-KETA)
                                       G015-BAR-PTNUM(3)(2:WRK-KETA)
                                       G015-CD-PTNUM
             MOVE  "*"              TO G015-BAR-PTNUM(1)(WRK-KETA + 2:1)
                                       G015-BAR-PTNUM(2)(WRK-KETA + 2:1)
                                       G015-BAR-PTNUM(3)(WRK-KETA + 2:1)
           END-IF
      *

           .
       2020-BARCODE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͽ  
      *****************************************************************
       200-YYK-SEC        SECTION.
      *
           PERFORM  900-YYK-SELECT-SEC
           PERFORM  UNTIL  FLG-YYK   =  1
                    OR     FLG-YYK2  =  1
      *
             IF  YYK-YYKYMD  >  WRK-PARA-SRYYMD
      *        Խ
               MOVE    YYK-YYKYMD            TO  WRK-SYMD
               PERFORM  700-YOUBI-HEN-SEC
      *        ͽԽ
      *--- 2014/04/07 START -------------------------------------------
      *        0=ͽ֡1=ͽ֤
               IF  PARA-TIMEZONE  =  "0"
                 STRING  ""              DELIMITED  BY  SPACE
                         YYK-YYKYMD(1:4)       DELIMITED  BY  SPACE
                         "ǯ"                  DELIMITED  BY  SPACE
                         YYK-YYKYMD(5:2)       DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-YYKYMD(7:2)       DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         WRK-YOBIMEI           DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-YYKTIME(1:2)      DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-YYKTIME(3:2)      DELIMITED  BY  SPACE
                                               INTO   WRK-YYK-DATA
                 END-STRING
               ELSE
      *--- 2014/04/07 END   -------------------------------------------
                 STRING  ""              DELIMITED  BY  SPACE
                         YYK-YYKYMD(1:4)       DELIMITED  BY  SPACE
                         "ǯ"                  DELIMITED  BY  SPACE
                         YYK-YYKYMD(5:2)       DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-YYKYMD(7:2)       DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         WRK-YOBIMEI           DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-KEYYYKTIME(1:2)   DELIMITED  BY  SPACE
                         ""                  DELIMITED  BY  SPACE
                         YYK-KEYYYKTIME(3:2)   DELIMITED  BY  SPACE
                                               INTO   WRK-YYK-DATA
                 END-STRING
      *--- 2014/04/07 START -------------------------------------------
               END-IF
      *--- 2014/04/07 END   -------------------------------------------
               MOVE    1  TO  FLG-YYK2
               DISPLAY  "*** WRK-YYK-DATA :"  WRK-YYK-DATA
             END-IF
      *
             PERFORM  900-YYK-FETCH-SEC
           END-PERFORM
           PERFORM  900-YYK-CLOSE-SEC
      *
           .
       200-YYK-EXT.
           EXIT.
      *
      ******************************************************************
      **   ͽ󸡺
      ******************************************************************
       900-YYK-SELECT-SEC             SECTION.
      *
           INITIALIZE                    YYK-REC
      *
           MOVE    SPA-HOSPNUM       TO  YYK-HOSPNUM
           MOVE    WRK-PARA-PTID     TO  YYK-PTID
      *
           MOVE    YYK-REC           TO  MCPDATA-REC
           MOVE    "DBSELECT"        TO  MCP-FUNC
           MOVE    "tbl_yyk"         TO  MCP-TABLE
           MOVE    "key6"            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"       USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
           IF      MCP-RC              =   ZERO
               PERFORM  900-YYK-FETCH-SEC
           ELSE
               MOVE    1             TO  FLG-YYK
           END-IF
           .
       900-SYUNOU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͽ󸡺
      *****************************************************************
       900-YYK-FETCH-SEC                SECTION.
      *
           MOVE    "DBFETCH"         TO  MCP-FUNC
           MOVE    "tbl_yyk"         TO  MCP-TABLE
           MOVE    "key6"            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"       USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    ZERO          TO  FLG-YYK
               MOVE    MCPDATA-REC   TO  YYK-REC
           ELSE
               MOVE    1             TO  FLG-YYK
           END-IF
           .
       900-YYK-FETCH-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͽ󥯥
      *****************************************************************
       900-YYK-CLOSE-SEC                 SECTION.
      *
           MOVE    "DBCLOSECURSOR"   TO  MCP-FUNC
           MOVE    "tbl_yyk"         TO  MCP-TABLE
           MOVE    "key6"            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"       USING
                                         MCPAREA
                                         MCPDATA-REC
                                         SPA-AREA
           .
       900-YYK-CLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    
      *****************************************************************
       700-YOUBI-HEN-SEC            SECTION.
      *
           INITIALIZE                   STS-AREA-DAY
           INITIALIZE                   LNK-DAY3-AREA
           MOVE    "31"                 TO  LNK-DAY3-IRAI
           MOVE    WRK-SYMD             TO  LNK-DAY3-YMD
           CALL    "ORCSDAY"            USING
                                        STS-AREA-DAY
                                        LNK-DAY3-AREA
           MOVE    LNK-DAY3-YOBIMEI     TO  WRK-YOBIMEI
           INSPECT WRK-HENYMDG  REPLACING  ALL "  "  BY  ""
           .
       700-YOUBI-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    
      *****************************************************************
       500-PRINT-SEC            SECTION.
      *
           STRING     "AAAAA:0000000000000000000000000"
                                        DELIMITED  BY  SIZE
                      IDX               DELIMITED  BY  SIZE
           INTO       SPA-TERMID
           END-STRING
      *
           MOVE    SPA-HOSPNUM         TO  HC01PARA-HOSPNUM
           MOVE    "HC01"              TO  HC01PARA-FORM-ID
           MOVE    SPA-TERMID          TO  HC01PARA-TERMID
           MOVE    SYS-TIME            TO  HC01PARA-SYOHMS
           ADD     1                   TO  WRK-PAGE
           MOVE    WRK-PAGE            TO  HC01PARA-CNT
      *
      *--- 2015/02/12 START -------------------------------------------
      *    ե̾
           INITIALIZE                      SGETTEMP-AREA
           MOVE    HC01PARA            TO  SGETTEMP-BASENAME
           CALL    "ORCSGETTEMP"       USING
                                       SGETTEMP-AREA
           MOVE    SGETTEMP-FULLNAME   TO  ASGNPARA
      *--- 2015/02/12 END   -------------------------------------------
      *
      *    ѥǡ
           OPEN    OUTPUT              PRT-FILE
           MOVE    G015                TO  PRT-REC
           WRITE   PRT-REC
           CLOSE                       PRT-FILE
      *
           INITIALIZE                 ORCSMKPRTAREA
      *
           MOVE   "HC01.sh"           TO  MKPRT-ID
           IF  PARA-ORIENTATION  =  "0"
             MOVE   "R1ORCA64PORTRAIT.red"  TO  MKPRT-DIA
           ELSE
             MOVE   "R1ORCA64LANDSCAPE.red" TO  MKPRT-DIA
           END-IF
           MOVE   SPACE               TO  MKPRT-DEF
      *--- 2015/02/12 START -------------------------------------------
      *     MOVE   HC01PARA            TO  MKPRT-DAT
           MOVE   ASGNPARA            TO  MKPRT-DAT
      *--- 2015/02/12 END   -------------------------------------------
           MOVE   WRK-PARA-PRINTNAME  TO  MKPRT-PRTNM
      *
           CALL   "ORCSMKPRTSITE"     USING
                                      ORCSMKPRTAREA
                                      SPA-AREA
      *
           .
       500-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ȯԽ
      *****************************************************************
       600-MAIN-SEC        SECTION.
      *
      *    ȯ̿뵯ư
           MOVE    SPACE             TO  SHELLTBL
           MOVE    "/usr/local/bin/r1orca64-run.sh"
                                     TO  SHELLTBL-NAME
      *     MOVE    SPACE             TO  SHELLTBL-ARG1
      *     MOVE    SPACE             TO  SHELLTBL-ARG2
           MOVE    PARA-IP-ADDRESS   TO  SHELLTBL-ARG1
           MOVE    PARA-PORT         TO  SHELLTBL-ARG2
           MOVE    PARA-REWRITE      TO  SHELLTBL-ARG3
           MOVE    PARA-FILENAME     TO  SHELLTBL-ARG4
           MOVE    WRK-PARA-PTNUM    TO  SHELLTBL-ARG5
           MOVE    PTINF-NAME        TO  SHELLTBL-ARG6
           MOVE    PTINF-KANANAME    TO  SHELLTBL-ARG7
           MOVE    PTINF-SEX         TO  SHELLTBL-ARG8
           MOVE    PTINF-BIRTHDAY    TO  SHELLTBL-ARG9
           MOVE    PARA-ORIENTATION  TO  SHELLTBL-ARG10
      *
      *     MOVE    SPACE             TO  SHELLTBL-ARG11
      *     MOVE    SPACE             TO  SHELLTBL-ARG12
      *     MOVE    SPACE             TO  SHELLTBL-ARG13
           MOVE    SHELLTBL          TO  MCPDATA-REC
      *
           MOVE    "SHELL"           TO  MCP-FUNC
           MOVE    "shell"           TO  MCP-TABLE
           MOVE    "shell"           TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"       USING
                                     MCPAREA
                                     MCPDATA-REC
                                     SPA-AREA
      *
           .
       600-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                  STS-AREA-DAY
           INITIALIZE                  LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING
                                       STS-AREA-DAY
                                       LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           MOVE    LNK-DAY2-EDTYMD1    TO  WRK-HENYMD
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɤ߹
      *****************************************************************
       900-PTINF-READ-SEC         SECTION.
      *
           MOVE    PTINF-REC           TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_ptinf"         TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  PTINF-REC
                   MOVE    ZERO            TO  FLG-PTINF
               ELSE
                   MOVE    1               TO  FLG-PTINF
               END-IF
           ELSE
               MOVE    1               TO  FLG-PTINF
           END-IF
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *
           .
       900-PTINF-READ-EXT.
           EXIT.
      *****************************************************************
      *    ޥɤ߹߽
      *****************************************************************
       800-SYSKANRI-READ-SEC           SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key10"             TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key10"             TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO            TO  FLG-SYSKANRI
               ELSE
                   MOVE    1               TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"           TO  MCP-FUNC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key10"             TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *
           .
       800-SYSKANRI-READ-EXT.
           EXIT.
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
           MOVE    "DBOPEN"            TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
      *
           MOVE    "DBSTART"           TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
      *
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
           .
       900-DBCLOSE-EXT.
           EXIT.
      *
